Subject: bug#44930: I can reproduce it

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Dec 2020 17:14:03 +0200

> From: Francesco Potortì <[email-masked]>
> Date: Mon, 30 Nov 2020 22:46:56 +0100
> 
> In this moment I have a *w3m* buffer on a live Emacs.  If I switch to it
> on a text frame, everything is well.  If I switch to it on an X display,
> the frame dies (but Emacs survives).  The error is
> 
> X protocol error: BadMatch (invalid parameter attributes) on protocol request 73
> 
> until I don't kill the buffer, I can reproduce the error at will.  I
> have no idea how to debug it.  If I am instructed, I can try until Emacs
> is alive.

etc/DEBUG has some instructions for debugging X protocol errors;
search for "If you encounter X protocol errors".

In addition to what that says, it would be beneficial to understand
what kind of X request is "request 73".